Retrieve a specific user
Retrieves details for a specific user at an organization by ID. A user represents an account that can authenticate and be granted access/role to Rippling and connected apps.
Use this endpoint when:
- Fetching accounts that can sign in plus access/roles/app provisioning information.
Required Scopes
- users.read
Request
Path Parameters
ID of the resource to return
Responses​
- 200
- application/json
- Schema
- Example (from schema)
Schema
__meta object
redacted_fields object[]
The name for the redacted field
The reason for the redaction
Identifier field
Record creation date
Record update date
Whether the user is able to access company resources, typically when they are in actively engaged with the company and not after off-boarding.
The unique identifier across Rippling used by the User for direct authentication into their associated company. Globally unique.
name object
The user's full name.
The given legal name of the user, or first name in most Western languages.
The middle name(s) of the user.
The legal family name of the user, or last name in most Western languages.
The preferred given name, or first name in most Western languages, by the user.
The preferred family name, or last name in most Western languages, by the user.
The display name of the user using either the concatenated preferred given and family name or username depending on availability.
emails object[]
A valid email address.
The classification of the email.
The display value of the email address.
phone_numbers object[]
The canonical global phone number pursuant to RFC3966.
The classification of the phone number, pursuant to SCIM RFC 7643 4.1.2.
The display value of the phone number.
addresses object[]
The classification of the address.
The formatted mailing address.
The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..
The city or locality component.
The state or region component, pursuant to SCIM RFC 7643 4.1.2.
The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.
The country component, pursuant to SCIM RFC 7643 4.1.2.
photos object[]
The URL of the photo.
The classification of the photo.
The User's preferred written or spoken language in the same format of the HTTP Accept-Language header, pursuant to Section 5.3.5 of RFC7231.
The User's default location for purposes of localization of currency, date time format, or numerical representations pursuant to RFC5646.
The User's current time zone in IANA database Olson format
The permanent profile number of the user.
{
"__meta": {
"redacted_fields": [
{
"name": "date_of_birth",
"reason": "Insufficient entitlements"
}
]
},
"id": "string",
"created_at": "string",
"updated_at": "string",
"active": false,
"username": "string",
"name": {
"formatted": "string",
"given_name": "string",
"middle_name": "string",
"family_name": "string",
"preferred_given_name": "string",
"preferred_family_name": "string"
},
"display_name": "string",
"emails": [
{
"value": "string",
"type": "HOME",
"display": "string"
}
],
"phone_numbers": [
{
"value": "string",
"type": "HOME",
"display": "string"
}
],
"addresses": [
{
"type": "HOME",
"formatted": "string",
"street_address": "string",
"locality": "string",
"region": "string",
"postal_code": "string",
"country": "AF"
}
],
"photos": [
{
"value": "string",
"type": "PHOTO"
}
],
"preferred_language": "string",
"locale": "string",
"timezone": "string",
"number": "string"
}